## net.sf.saxon.javax.xml.xquery
Interface XQItemAccessor

All Known Subinterfaces:
  XQItem, XQResultItem, XQResultSequence, XQSequence

All Known Implementing Classes:
  SaxonXQForwardSequence, SaxonXQItem, SaxonXQSequence

    public interface XQItemAccessor

XQJ interface reconstructed from version 0.5 documentation

Method Summary
`String` `getAtomicValue()`
`boolean` `getBoolean()`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`javax.xml.stream.XMLStreamReader` `getItemAsStream()`
`String` `getItemAsString()`
`XQItemType` `getItemType()`
`long` `getLong()`
`Node` `getNode()`
`URI` `getNodeUri()`
`Object` `getObject()`
`Object` `getObject(XQCommonHandler handler)`
`short` `getShort()`
`boolean` `instanceOf(XQItemType type)`
`void` `writeItem(OutputStream os, Properties props)`
`void` `writeItem(Writer ow, Properties props)`
`void` `writeItemToSAX(ContentHandler saxHandler)`

Method Detail

### getAtomicValue

    String getAtomicValue()
                          throws XQException

  Throws:
    `XQException`

### getBoolean

    boolean getBoolean()
                       throws XQException

  Throws:
    `XQException`

### getByte

    byte getByte()
                 throws XQException

  Throws:
    `XQException`

### getDouble

    double getDouble()
                     throws XQException

  Throws:
    `XQException`

### getFloat

    float getFloat()
                   throws XQException

  Throws:
    `XQException`

### getInt

    int getInt()
               throws XQException

  Throws:
    `XQException`

### getItemAsStream

    javax.xml.stream.XMLStreamReader getItemAsStream()
                                                     throws XQException

  Throws:
    `XQException`

### getItemAsString

    String getItemAsString()
                           throws XQException

  Throws:
    `XQException`

### getItemType

    XQItemType getItemType()
                           throws XQException

  Throws:
    `XQException`

### getLong

    long getLong()
                 throws XQException

  Throws:
    `XQException`

### getNode

    Node getNode()
                 throws XQException

  Throws:
    `XQException`

### getNodeUri

    URI getNodeUri()
                   throws XQException

  Throws:
    `XQException`

### getObject

    Object getObject()
                     throws XQException

  Throws:
    `XQException`

### getObject

    Object getObject(XQCommonHandler handler)
                     throws XQException

  Throws:
    `XQException`

### getShort

    short getShort()
                   throws XQException

  Throws:
    `XQException`

### instanceOf

    boolean instanceOf(XQItemType type)
                       throws XQException

  Throws:
    `XQException`

### writeItem

    void writeItem(OutputStream os,
                   Properties props)
                   throws XQException

  Throws:
    `XQException`

### writeItem

    void writeItem(Writer ow,
                   Properties props)
                   throws XQException

  Throws:
    `XQException`

### writeItemToSAX

    void writeItemToSAX(ContentHandler saxHandler)
                        throws XQException

  Throws:
    `XQException`

Copyright (C) Michael H. Kay. All rights reserved.